<?php

// ------------------------------
// Any segment
// Copyright 2009 Nicolas Bottari
// ------------------------------ 
// Any segment by Nicolas Bottari is licensed under a Creative Commons Attribution
// Noncommercial-Share Alike 3.0 Unported License
// http://creativecommons.org/licenses/by-nc-sa/3.0/
//
// Description
// -----------
// This extension displays data from a custom field in the Edit section of the Control Panel
// 
// More info: http://nicolasbottari.com/expressionengine/any_segment/
//


$plugin_info = array(
  'pi_name' => 'Any segment',
  'pi_version' =>'0.1',
  'pi_author' =>'Nicolas Bottari',
  'pi_author_url' => 'http://nicolasbottari.com/expressionengine/any_segment/',
  'pi_description' => 'A conditional targeting any segment',
  'pi_usage' => Any_segment::usage()
  );



class Any_segment
{

var $return_data = "";

  function Any_segment()
  {
	global $IN, $TMPL;
	
	// Parameter
	
	$segment = ($TMPL->fetch_param('equals') !== FALSE) ? $TMPL->fetch_param('equals') : "";
	
	// Get the segment array
	
	$segment_array = $IN->SEGS;
	
	if(in_array($segment, $segment_array)) {
	
		$this->return_data = 'TRUE';
		
		} else {
		
		$this->return_data = 'FALSE';
		
		};
	
	}

    
    

  
 
  
// ----------------------------------------
  //  Plugin Usage
  // ----------------------------------------

  // This function describes how the plugin is used.
  //  Make sure and use output buffering

  function usage()
  {
  ob_start(); 
  ?>
Shows content if a specified word is found in any segment of the URL.

Use

{exp:any_segment equals="products"}

The equals="" parameter determines what string must be searched in the URL.


  <?php
  $buffer = ob_get_contents();
	
  ob_end_clean(); 

  return $buffer;
  }
  // END
  
}
?>